Skip to main content
POST
/
v1
/
bot
/
guilds
/
{discord_id}
curl -X POST https://hapi.7331.org/v1/bot/guilds/987654321098765432 \
  -H "Content-Type: application/json" \
  -H "X-API-Key: your-bot-api-key" \
  -d '{"name": "Updated Server", "member_count": 200}'
{
  "discord_id": "987654321098765432",
  "name": "Updated Server",
  "prefix": "!",
  "member_count": 200,
  "is_whitelisted": true,
  "owner_discord_id": "123456789012345678",
  "state": 0,
  "id": 42,
  "has_bot": true,
  "source": "database",
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-15T12:30:00Z"
}
discord_id
integer
required
Discord snowflake ID.
X-API-Key
string
required
Bot API key.
name
string
Guild display name.
avatar_url
string
Guild icon URL.
member_count
integer
Number of members.
owner_discord_id
integer
Guild owner Discord ID.

Response

Returns the updated guild private profile.
curl -X POST https://hapi.7331.org/v1/bot/guilds/987654321098765432 \
  -H "Content-Type: application/json" \
  -H "X-API-Key: your-bot-api-key" \
  -d '{"name": "Updated Server", "member_count": 200}'
{
  "discord_id": "987654321098765432",
  "name": "Updated Server",
  "prefix": "!",
  "member_count": 200,
  "is_whitelisted": true,
  "owner_discord_id": "123456789012345678",
  "state": 0,
  "id": 42,
  "has_bot": true,
  "source": "database",
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-15T12:30:00Z"
}